Bug 401631 - Add the word 'Warning' in check_nmi_watchdog() output
Summary: Add the word 'Warning' in check_nmi_watchdog() output
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: x86_64 Linux
low
low
Target Milestone: ---
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-27 18:52 UTC by Prarit Bhargava
Modified: 2008-05-21 15:02 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:02:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (1.35 KB, patch)
2007-11-27 19:51 UTC, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (1.63 KB, patch)
2007-11-27 19:54 UTC, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (1.23 KB, patch)
2007-12-18 16:32 UTC, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Prarit Bhargava 2007-11-27 18:52:25 UTC
Description of problem:  

From dzickus' LKML post:

Our automated test suite looks for keywords like error, fail, warning in the
boot log.  In the case when the nmi watchdog is determined to be stuck in
check_nmi_watchdog(), none of those keywords are displayed.

This patch adds a keyword, 'Warning, so it makes it easier to notice when the
nmi watchdog isn't working correctly.

http://marc.info/?l=linux-kernel&m=119609160323770&w=2

Comment 1 Prarit Bhargava 2007-11-27 19:50:39 UTC
I've suggested some changes to dzickus so that his patch will pass
Documentation/CodingStyle.

Attached patch is based on those comments.

P.

Comment 2 Prarit Bhargava 2007-11-27 19:51:19 UTC
Created attachment 270121 [details]
RHEL5 fix for this issue

Comment 3 Prarit Bhargava 2007-11-27 19:54:18 UTC
Created attachment 270131 [details]
RHEL5 fix for this issue

Comment 4 Prarit Bhargava 2007-12-18 15:05:47 UTC
Sorry -- this was erroneously closed.

Comment 5 Prarit Bhargava 2007-12-18 16:32:11 UTC
Created attachment 289899 [details]
RHEL5 fix for this issue

Comment 7 Don Zickus 2008-01-08 20:46:47 UTC
in 2.6.18-64.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 10 errata-xmlrpc 2008-05-21 15:02:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.